Pular para o conteúdo principal
GET
/
api
/
v1
/
llm
/
speech
/
transcriptions
/
history
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.speech.list_transcription_history(after="tts_aa87e2b1112a455b8deabed784372198", limit=20, order="desc")

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "stt_aa87e2b1112a455b8deabed784372198",
      "object": "speech.transcription",
      "text": "Hello, this is a sample transcription of the audio file.",
      "language": "en",
      "confidence": 0.95,
      "model": "auto",
      "provider_id": "azure",
      "filename": "audio.wav",
      "audio_bytes": 120000,
      "audio_mime_type": "audio/wav",
      "speakers": null,
      "streaming": false,
      "metadata": {},
      "created_at": 1704067200
    }
  ],
  "first_id": "stt_aa87e2b1112a455b8deabed784372198",
  "last_id": "stt_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de consulta

after
string

ID do item de história para listar itens após (cursor de paginação).

limit
integer
padrão:20

Número máximo de itens a serem retornados (1-100, padrão 20).

Intervalo obrigatório: 1 <= x <= 100
order
enum<string>
padrão:desc

Ordenar por data de criação. O padrão é 'desc' (mais recente primeiro).

Opções disponíveis:
asc,
desc
model
string

Filtrar resultados para um id de modelo específico.

Resposta

200 - application/json

OK

Uma lista paginada de itens de histórico de fala para texto.

object
any
obrigatório
data
object[]
obrigatório
has_more
boolean
obrigatório
first_id
string
last_id
string